package org.opengroup.osdu.notification.provider.azure.util;

import javax.inject.Named;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class AzureCosmosProperties {

  @Value("${tenantinfo.container.name}")
  private String tenantInfoContainerName;

  @Value("${registerSubscription.container.name}")
  private String registerSubscriptionContainerName;

  @Value("${azure.cosmosdb.database}")
  private String cosmosDBName;

  @Bean
  @Named("COSMOS_CONTAINER_NAME")
  public String containerName() {
    return tenantInfoContainerName;
  }

  @Bean
  @Named("COSMOS_CONTAINER_NAME")
  public String registerSubscriptionContainerName() {
    return registerSubscriptionContainerName;
  }

  @Bean
  @Named("COSMOS_DB_NAME")
  public String cosmosDBName() {
    return cosmosDBName;
  }

}
